import { EditContextType } from "../editor/client/editContext";
import { Component } from "../editor/pageModel";
export declare function ErrorFallback(): import("react/jsx-runtime").JSX.Element;
export declare function ErrorFallbackWithDetails({ error, component, editContext, }: {
    error: Error;
    component: Component;
    editContext?: EditContextType;
}): import("react/jsx-runtime").JSX.Element;
export declare function AsyncComponent(): import("react/jsx-runtime").JSX.Element;
